## org.eclipse.emf.mapping.command
Class PersistentCommandStack.CommandCreationRecord

    java.lang.Object
      org.eclipse.emf.mapping.command.PersistentCommandStack.CommandCreationRecord

Enclosing class:
  PersistentCommandStack

    public static class PersistentCommandStack.CommandCreationRecord

extends java.lang.Object

This records and encodes the command class and command parameter.

Constructor Summary
`PersistentCommandStack.CommandCreationRecord(java.lang.Class<? extends Command> commandClass, CommandParameter commandParameter)`
`PersistentCommandStack.CommandCreationRecord(java.lang.String encoding)`

Method Summary
`void` `decode(PersistentCommandStack.Decoder decoder)`
`void` `encode(PersistentCommandStack.Encoder encoder)`
`java.lang.Class<? extends Command>` `getCommandClass()`
`CommandParameter` `getCommandParameter()`
`java.lang.String` `getEncoding()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PersistentCommandStack.CommandCreationRecord

    public PersistentCommandStack.CommandCreationRecord(java.lang.Class<? extends Command> commandClass,
                                                        CommandParameter commandParameter)

### PersistentCommandStack.CommandCreationRecord

    public PersistentCommandStack.CommandCreationRecord(java.lang.String encoding)

Method Detail

### getCommandParameter

    public CommandParameter getCommandParameter()

### getEncoding

    public java.lang.String getEncoding()

### getCommandClass

    public java.lang.Class<? extends Command> getCommandClass()

### encode

    public void encode(PersistentCommandStack.Encoder encoder)

### decode

    public void decode(PersistentCommandStack.Decoder decoder)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.